import request from '@/utils/request'

// 查询供应计划列表
export function listJh(query) {
  return request({
    url: '/plan/jh/list',
    method: 'get',
    params: query
  })
}

// 查询供应计划详细
export function getJh(id) {
  return request({
    url: '/plan/jh/' + id,
    method: 'get'
  })
}

// 新增供应计划
export function addJh(data) {
  return request({
    url: '/plan/jh',
    method: 'post',
    data: data
  })
}

// 修改供应计划
export function updateJh(data) {
  return request({
    url: '/plan/jh',
    method: 'put',
    data: data
  })
}

// 删除供应计划
export function delJh(id) {
  return request({
    url: '/plan/jh/' + id,
    method: 'delete'
  })
}
export function uploadPlan(data) {
  return request({
    url: '/plan/jh/importByMapping',
    method: 'post',
    data: data,
    isUpload:true
  })
}
